Bug 863728 - [abrt] python-2.7.3-7.2.fc17: g_thread_abort: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
[abrt] python-2.7.3-7.2.fc17: g_thread_abort: Process /usr/bin/python2.7 was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:60f9dc7452538e14ed3308f5c59...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 19:14 EDT by Dmitry Burstein
Modified: 2013-07-31 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.13 KB, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details
File: environ (1.45 KB, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details
File: backtrace (41.44 KB, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details
File: maps (82.03 KB, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details
File: dso_list (17.75 KB, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details
File: var_log_messages (148 bytes, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details
File: open_fds (100 bytes, text/plain)
2012-10-06 19:14 EDT, Dmitry Burstein
no flags Details

  None (edit)
Description Dmitry Burstein 2012-10-06 19:14:33 EDT
Description of problem:
Pressed "Quit" in Miro main menu

Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/lib64/python2.7/site-packages/miro/miro_helper.py
crash_function: g_thread_abort
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 g_thread_abort at gthread-posix.c:76
: #3 g_mutex_lock at gthread-posix.c:209
: #4 new_decoded_pad_full at gstplaybasebin.c:1345
: #9 close_pad_link at gstdecodebin.c:951
: #11 close_link at gstdecodebin.c:1801
: #12 try_to_link_1 at gstdecodebin.c:1211
: #13 close_pad_link at gstdecodebin.c:974
: #15 new_pad at gstdecodebin.c:1532
: #16 new_caps at gstdecodebin.c:1597
: #22 gst_object_dispatch_properties_changed at gstobject.c:530
Comment 1 Dmitry Burstein 2012-10-06 19:14:36 EDT
Created attachment 622845 [details]
File: core_backtrace
Comment 2 Dmitry Burstein 2012-10-06 19:14:39 EDT
Created attachment 622846 [details]
File: environ
Comment 3 Dmitry Burstein 2012-10-06 19:14:43 EDT
Created attachment 622847 [details]
File: limits
Comment 4 Dmitry Burstein 2012-10-06 19:14:46 EDT
Created attachment 622848 [details]
File: backtrace
Comment 5 Dmitry Burstein 2012-10-06 19:14:48 EDT
Created attachment 622849 [details]
File: cgroup
Comment 6 Dmitry Burstein 2012-10-06 19:14:51 EDT
Created attachment 622850 [details]
File: maps
Comment 7 Dmitry Burstein 2012-10-06 19:14:54 EDT
Created attachment 622851 [details]
File: dso_list
Comment 8 Dmitry Burstein 2012-10-06 19:14:56 EDT
Created attachment 622852 [details]
File: var_log_messages
Comment 9 Dmitry Burstein 2012-10-06 19:14:58 EDT
Created attachment 622853 [details]
File: open_fds
Comment 10 Dmitry Burstein 2012-10-07 06:08:13 EDT
I'm not sure whether it's connected, but I noticed that "miro_helper" process keeps respawning indefinitely, finally clogging my total process limit - which was the reason for quitting the program in the first place.
Comment 11 Fedora Admin XMLRPC Client 2013-05-10 01:06:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2013-05-10 01:06:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2013-05-10 01:09:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2013-07-03 16:14:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-07-31 15:50:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.